
body {
  cursor: url('images/cursor.png') 15 15, auto;
}

button, a, input[type="button"], input[type="submit"], [role="button"] {
  cursor: url('images/click.png') 15 15, auto;
}

button:hover, a:hover, input[type="button"]:hover, input[type="submit"]:hover {
  cursor: url('images/click.png') 15 15, auto;
}

#cursor {
  position: fixed;
  width: 80px;        /* change size here */
  pointer-events: none;
  z-index: 9999;
  transform: translate(-50%, -50%);
}


.sparkle {
  position: fixed;
  pointer-events: none;
  transform: translate(-50%, -50%);
  font-size: 12px;
  font-weight: bold;
  color: white;
  animation: fallFade 0.8s linear forwards;
}

@keyframes fallFade {
  0% {
    opacity: 1;
    transform: translate(-50%, -50%) translateY(0);
  }
  100% {
    opacity: 0;
    transform: translate(-50%, -50%) translateY(20px);
  }
}
